import { Sequelize as OriginSequelize } from 'sequelize';
import { ModelMatch, SequelizeOptions } from "./sequelize-options";
import { Model } from "../../model/model/model";
import { Repository } from "../..";
export declare class Sequelize extends OriginSequelize {
    options: SequelizeOptions;
    repositoryMode: boolean;
    constructor(database: string, username: string, password?: string, options?: SequelizeOptions);
    constructor(database: string, username: string, options?: SequelizeOptions);
    constructor(options?: SequelizeOptions);
    constructor(uri: string, options?: SequelizeOptions);
    model(model: string | typeof Model): typeof Model;
    addModels(models: Array<typeof Model>): any;
    addModels(modelPaths: string[]): any;
    addModels(modelPaths: string[], modelMatch?: ModelMatch): any;
    addModels(arg: Array<typeof Model | string>): any;
    getRepository<M extends {
        new (): Model;
    }>(modelClass: M): Repository<M>;
    private associateModels;
    private defineModels;
    private createRepositoryModel;
}
